summarylogtreecommitdiffstats
path: root/decklink.install
diff options
context:
space:
mode:
Diffstat (limited to 'decklink.install')
-rw-r--r--decklink.install4
1 files changed, 3 insertions, 1 deletions
diff --git a/decklink.install b/decklink.install
index 85727b2b1d46..077c31151f39 100644
--- a/decklink.install
+++ b/decklink.install
@@ -32,7 +32,9 @@ post_install() {
## arg 2: the old package version
pre_upgrade() {
lsmod | grep blackmagic && modprobe -r blackmagic || true
- rm -f "/lib/modules/*/kernel/drivers/blackmagic.ko"
+ lsmod | grep snd_blackmagic_io && rmmod -f snd_blackmagic_io || true
+ lsmod | grep blackmagic_io && rmmod -f blackmagic_io || true
+ rm -f "/lib/modules/*/kernel/drivers/*blackmagic*.ko"
}
## arg 1: the new package version